# PluginResolveDetails

interface PluginResolveDetails

Allows plugin resolution rules to inspect a requested plugin and modify which target plugin will be used.

#### Since

3.5

## Functions

getRequested
Link copied to clipboard
abstract fun getRequested(): PluginRequest
Get the plugin that was requested.
getTarget
Link copied to clipboard
abstract fun getTarget(): PluginRequest
The target plugin request to use.
useModule
Link copied to clipboard
abstract fun useModule(notation: Any)
Sets the implementation module to use for this plugin.
useVersion
Link copied to clipboard
abstract fun useVersion(@Nullable version: @Nullable String)
Sets the version of the plugin to use.